<div class="card">
	<div class="card-header heading">Part 2: Executive Summary
		(Continued)</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Part 2f. Third-Party Service
					Providers</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding">
							<form [formGroup]="part2fForm">
								<div class="form-group mt-3">
									<b *ngIf="tenantId?.includes('serviceprovider_saqd')"
										class="head">Does your company have a relationship with a
										Qualified Integrator Reseller (QIR) for the purpose of the
										services being validated?</b> <b
										*ngIf="tenantId?.includes('merchant_saqd')"
										class="head">Does your company use a Qualified Integrator & Reseller (QIR)?:</b>
									<div class="row m-1">
										<label class="md-check head"> <input type="radio"
											class="mr-1" [value]="true" name="qirRelationshipPresent" 
											formControlName="qirRelationshipPresent" [checked]="part2fForm.controls.qirRelationshipPresent.value === true" required> Yes
										</label> <label class="md-check ml-3 head"> <input
											type="radio" class="mr-1" [value]="false"
											name="qirRelationshipPresent" [checked]="part2fForm.controls.qirRelationshipPresent.value === false"
											formControlName="qirRelationshipPresent" required> No
										</label>
									</div>
								</div>
								<div class="" *ngIf="part2fForm.value.qirRelationshipPresent === true">
									<div class="form-group row">
										<label class="col-form-label col-sm-3" for="qirCompanyName"><b
											class="head">Name of QIR Company:</b></label>
										<div class="col-sm-5">
											<input type="text" class="form-control mt-1"
												id="qirCompanyName" formControlName="qirCompanyName">
												<jhi-display-2-error
												[control]="part2fForm.controls.qirCompanyName">
											</jhi-display-2-error>
										</div>
									</div>
									<div class="form-group row">
										<label class="col-form-label col-sm-3"
											for="qirIndividualName"><b class="head">QIR
												Individual Name:</b></label>
										<div class="col-sm-5">
											<input type="text" class="form-control mt-1"
												id="qirIndividualName" formControlName="qirIndividualName">
												<jhi-display-2-error
												[control]="part2fForm.controls.qirIndividualName">
											</jhi-display-2-error>
										</div>
									</div>
									<div class="form-group row">
										<label class="col-form-label col-sm-3"
											for="serviceDescription"><b class="head">Description
												of services provided by QIR:</b></label>
										<div class="col-sm-5">
											<textarea type="text" class="form-control mt-1"
												id="serviceDescription" row="3"
												formControlName="serviceDescription"></textarea>
												<jhi-display-2-error
												[control]="part2fForm.controls.serviceDescription">
											</jhi-display-2-error>
										</div>
									</div>
								</div>
								<div class="form-group mt-3">
									<b *ngIf="tenantId?.includes('serviceprovider_saqd')" class="head"> Does your company have a relationship with
										one or more third-party service providers (for example,
										Qualified Integrator & Resellers (QIR), gateways, payment
										processors, payment service providers (PSP), web-hosting
										companies, airline booking agents, loyalty program agents,
										etc.) for the purpose of the services being validated? </b>
										<b
										*ngIf="tenantId?.includes('merchant_saqd')"
										class="head">Does your
												company share cardholder data with any third-party service
												providers (for example, Qualified Integrator & Resellers
												(QIR), gateways, payment processors, payment service
												providers (PSP), web-hosting companies, airline booking
												agents, loyalty program agents, etc.)?:</b>
									<div class="row m-1">
										<label class="md-check head"> <input type="radio"
											class="mr-1" [value]="true"
											name="serviceProviderRelationShipPresent"
											formControlName="serviceProviderRelationShipPresent" [checked]="part2fForm.controls.serviceProviderRelationShipPresent.value === true" required>
											Yes
										</label> <label class="md-check ml-3 head"> <input
											type="radio" class="mr-1" [value]="false"
											name="serviceProviderRelationShipPresent"
											formControlName="serviceProviderRelationShipPresent" [checked]="part2fForm.controls.serviceProviderRelationShipPresent.value === false" required>
											No
										</label>
									</div>
								</div>
								<div class="row head heading-div heading-visible" *ngIf="part2fForm.value.serviceProviderRelationShipPresent === true">
									<span class="col-4 p-3 heading">Name of service provider</span>
									<span class="col-5 p-3 heading">Description of services provided</span> 
								</div>
								<div
									*ngIf="part2fForm.value.serviceProviderRelationShipPresent === true"
									formArrayName="serviceByServiceProviders">
									<div class="row mt-2 visible-border"
										*ngFor="let provider of serviceByServiceProviders.controls; let i=index"
										[formGroupName]="i">
										<div class="column visible-cross">
											<i class="fa fa-times-circle text-danger"
												(click)="deleteServiceByServiceProvider(i)"></i>
										</div>
										<div class="column one head">
											<label class="heading visible">Name of service
												provider:</label>
											<div class="">
												<input type="text" class="form-control" name="providerName"
													formControlName="providerName">
												<jhi-display-2-error
													[control]="provider.controls.providerName">
												</jhi-display-2-error>
											</div>
										</div>
										<div class="column two head">
											<label class="heading visible">Description of
												services provided:</label>
											<div class="">
												<textarea type="text" class="form-control"
													name="descriptionOfServiceProvider"
													formControlName="descriptionOfServiceProvider" row="3"></textarea>
												<jhi-display-2-error
													[control]="provider.controls.descriptionOfServiceProvider">
												</jhi-display-2-error>
											</div>
										</div>
										<div class="column three visible-cross-two">
											<i class="fa fa-times-circle text-danger"
												(click)="deleteServiceByServiceProvider(i)"></i>
										</div>
									</div>
								</div>
								<hr *ngIf="part2fForm.value.serviceProviderRelationShipPresent === true">
								<div class="row add-row ml-3" *ngIf="part2fForm.value.serviceProviderRelationShipPresent === true">
									<a (click)="addServiceByServiceProvider()"><b><i
											class="fa fa-plus mr-2"></i>Add a new row</b></a>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2fForm.valid" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2fForm.valid" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i> 
					<i
					(click)="forward()" *ngIf="(curStates === 'TESTED_REQUIREMENTS' || curStates === 'SUMMARY') && tenantId?.includes('serviceprovider_saqd')"
					class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
	</div>
</div>